org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination

## Class PDPageXYZDestination

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
  - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
    - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageXYZDestination

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDPageXYZDestination
    extends PDPageDestination

This represents a destination to a page at an x,y coordinate with a zoom setting. The default x,y,z will be whatever is the current value in the viewer application and are not required.

Author:
  Ben Litchfield

### Field Summary

Fields
`protected static String` `TYPE` The type of this destination.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination

`array`

### Constructor Summary

Constructors
Constructor and Description
`PDPageXYZDestination()` Default constructor.
`PDPageXYZDestination(COSArray arr)` Constructor from an existing destination array.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLeft()` Get the left x coordinate.
`int` `getTop()` Get the top y coordinate.
`float` `getZoom()` Get the zoom value.
`void` `setLeft(int x)` Set the left x-coordinate, values 0 or -1 imply that the current x-coordinate will be used.
`void` `setTop(int y)` Set the top y-coordinate, values 0 or -1 imply that the current y-coordinate will be used.
`void` `setZoom(float zoom)` Set the zoom value for the page, values 0 or -1 imply that the current zoom will be used.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination

`getCOSObject, getPage, getPageNumber, retrievePageNumber, setPage, setPageNumber`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination

`create`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    protected static final String TYPE

The type of this destination.

See Also:
  Constant Field Values

### Constructor Detail

#### PDPageXYZDestination

    public PDPageXYZDestination()

Default constructor.

#### PDPageXYZDestination

    public PDPageXYZDestination(COSArray arr)

Constructor from an existing destination array.

Parameters:
  `arr` - The destination array.

### Method Detail

#### getLeft

    public int getLeft()

Get the left x coordinate. Return values of 0 or -1 imply that the current x-coordinate will be used.

Returns:
  The left x coordinate.

#### setLeft

    public void setLeft(int x)

Set the left x-coordinate, values 0 or -1 imply that the current x-coordinate will be used.

Parameters:
  `x` - The left x coordinate.

#### getTop

    public int getTop()

Get the top y coordinate. Return values of 0 or -1 imply that the current y-coordinate will be used.

Returns:
  The top y coordinate.

#### setTop

    public void setTop(int y)

Set the top y-coordinate, values 0 or -1 imply that the current y-coordinate will be used.

Parameters:
  `y` - The top ycoordinate.

#### getZoom

    public float getZoom()

Get the zoom value. Return values of 0 or -1 imply that the current zoom will be used.

Returns:
  The zoom value for the page.

#### setZoom

    public void setZoom(float zoom)

Set the zoom value for the page, values 0 or -1 imply that the current zoom will be used.

Parameters:
  `zoom` - The zoom value.